Subject: Re: MPC83xx ipic problem

From: Segher Boessenkool <[email-masked]>
Date: Mon, 30 Jun 2008 18:36:34 +0200

> interrupt-map = <0x5800 0 0 1 &ipic 0x30 0x8      -> FPGA @ IRQ0
>                  0x6000 0 0 1 &ipic 0x11 0x8      -> miniPCI INTA @ 
> IRQ1
>                  0x6000 0 0 2 &ipic 0x11 0x8>;    -> miniPCI INTB @ 
> IRQ1
>
> Is it legal to use a single irq pin twice ?

The device tree simply describes the hardware; if the hardware
connects both INTXs to the same IPIC interrupt pin, then it is
correct.  You'll have to ask a hardware designer whether it is
okay to just tie the two lines together; I believe it is, for
PCI, but you better ask someone who really knows :-)

Segher